package com.mvc.dao;

import com.mvc.entity.AppAuth;

import java.util.List;

import com.mvc.entity.AppAuthExample;
import org.apache.ibatis.annotations.Param;

public interface AppAuthMapper {
    long countByExample(AppAuthExample example);

    int deleteByExample(AppAuthExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(AppAuth record);

    int insertSelective(AppAuth record);

    List<AppAuth> selectByExample(AppAuthExample example);

    AppAuth selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") AppAuth record, @Param("example") AppAuthExample example);

    int updateByExample(@Param("record") AppAuth record, @Param("example") AppAuthExample example);

    int updateByPrimaryKeySelective(AppAuth record);

    int updateByPrimaryKey(AppAuth record);
}